import unittest
import sys
sys.path.append('../Initial_project')
from solution import rearrange
from record import Record

class ScoreListTest(unittest.TestCase):

    def test_first_simple_path(self):
        class A:
            def f(self, a, b):
                return a + b

        class B(A):
            pass

        class C(B):
            pass

        record = Record()
        rearrange([A, B, C], record)
        c = C()
        self.assertEqual(c.f(10, 20), 30)
        self.assertEqual(record.get_path_list(), [C, B, A])
        

if __name__ == '__main__':
    unittest.main()